GROUPMOD(8)

NOME
groupmod - modify a group definition on the system

SINOSSI

groupmod [opzioni] GROUP

DESCRIZIONE

The groupmod command modifies the definition of the specified GROUP by modifying the appropriate entry in the group database.

OPZIONI

Il comando groupmod accetta le seguenti opzioni:

-g, --gid GID
    The group ID of the given GROUP will be changed to GID. The value of GID must be a non-negative decimal integer. This value must be unique, unless the -o option is used. Values between 0 and 999 are typically reserved for system groups. Any files that have the old group ID and must continue to belong to GROUP, must have their group ID changed manually.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-n, --new-name NEW_GROUP
    Il nome del gruppo verrà modificato da gruppo a nome_gruppo.

-o, --non-unique
    When used with the -g option, allow to change the group GID to a non-unique value.

-p, --password PASSWORD
    The encrypted password, as returned by crypt(3). The default is to disable the password.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite. You should not use this variable unless you really need it.

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    Informazioni sicure sugli account di gruppo.

VALORI RESTITUITI

The groupmod command exits with the following values:

0
    successo

2
    sintassi del comando errata

3
    invalid argument to option

4
    il gruppo specificato non esiste

6
    il gruppo specificato non esiste

9
    group name already in use

10
    non è possibile aggiornare il file group

VEDERE ANCHE

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).